Skip Menu |
 

This queue is for tickets about the Dackup CPAN distribution.

Report information
The Basics
Id: 44404
Status: open
Priority: 0/
Queue: Dackup

People
Owner: Nobody in particular
Requestors: adamk [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: 0.41
Fixed in: (no value)



Subject: Validate the SSH binary is good enough
Download (untitled) / with headers
text/plain 519b
For reasons I don't entirely understand, although Net::OpenSSH passes tests and installs cleanly it doesn't work when used as documented in the synopsis. I have a version that does not implement the -M flag, which is critically needed for Dackup. It might be a good idea to put a test for the flag in either the Makefile.PL or in the test suite. I ultimately solved the problem for myself by uninstalling the default Debian "ssh" and installing a newer replacement OpenSSH version that contained a -M implementation.
Download (untitled) / with headers
text/plain 155b
Net::OpenSSH tests are skipped if the SSH client in the PATH is too old! I am going to change the module Makefile.PL to generate a warning in that case.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.